Bitta mijoz bo'yicha batafsil ma'lumot
const url = 'https://api-admin.billz.ai/v1/customer/622c8993-9f82-45ae-a69d-63103d8506d5';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-admin.billz.ai/v1/customer/622c8993-9f82-45ae-a69d-63103d8506d5 \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiPath Parameters
“Path Parameters” bo'limiMijoz identifikatori; yaroqli UUID bo’lishi kerak
Example
622c8993-9f82-45ae-a69d-63103d8506d5Header Parameters
“Header Parameters” bo'limiPlatforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
object
Mijoz IDsi
Tashqi identifikator
Kompaniya ID si
Ism
Familiya
Otasining ismi
Enums: ru,en,uz
Tug’ilgan sana
Example: male, female (kichik harflar)
Telefonlar
Example: single, married
Ro’yxatdan o’tgan do’kon
object
Oxirgi xarid sanasi
Kanal
object
SMS-bildirishnomalar
Telefon bildirishnomalari
Ijtimoiy tarmoqlardagi bildirishnomalar
Xaridlar summasi
Qarz summasi
Email-bildirishnomalar
Guruhlar va teglar; maydonlar: id, company_id, name, session_id, loyalty_level_id, group_type, active, is_auto, description, external_id, created_at, discount_percent, customer_group_id, segment_conditions, customer_qty, works_on_retail_price, works_on_free_price, works_on_wholesale_price
object
object
Mijoz kartalari
object
Yaratilgan sana
Sodiqlik dasturi ID si
Sodiqlik dasturi darajasi ID si
Oxirgi yangilanish sanasi
Keshbek balansi
Kompaniya nomi
Telegram chat_id
Birinchi xarid sanasi
Manba identifikatori
0 — o’chirilmagan; boshqa qiymatda metod 404 qaytaradi
Manzillar
object
Ijtimoiy tarmoqlar (takroriy e’lon)
object
Qarindoshlar
object
Eslatmalar
object
Vazifalar
object
Maxsus maydonlar
object
O’rtacha xarid summasi
Mahsulotlarning o’rtacha narxi
Mijoz turi
O’rtacha chegirma
Chekdagi mahsulotlarning o’rtacha soni
Eng yirik tranzaksiya
Tashriflar soni
Xususiyatlarni yangilash belgisi
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "external_id": "example", "company_id": "example", "first_name": "example", "last_name": "example", "middle_name": "example", "language": "example", "date_of_birth": "example", "gender": "example", "phone_numbers": [ "example" ], "marital_status": "example", "registered_shop": { "id": "example", "name": "example" }, "registered_shop_name": "example", "last_purchase_date": "example", "channel": { "id": "example", "company_id": "example", "name": "example", "session_id": "example" }, "sms_notification": true, "phone_notification": true, "social_network_notification": true, "purchase_amount": 1, "debt_amount": 1, "email_notification": true, "groups": [ { "id": "example", "company_id": "example", "name": "example", "session_id": "example", "loyalty_level_id": "example", "group_type": "example", "active": true, "is_auto": true, "description": "example", "external_id": "example", "created_at": "example", "discount_percent": 1, "customer_group_id": "example", "segment_conditions": [ {} ], "customer_qty": 1, "works_on_retail_price": true, "works_on_free_price": true, "works_on_wholesale_price": true } ], "group_names": [ "example" ], "tag_names": [ "example" ], "cards": [ { "id": "example", "name": "example", "code": "example", "is_active": true } ], "created_at": "example", "loyalty_program_id": "example", "loyalty_program_level_id": "example", "last_update_date": "example", "balance": 1, "company_name": "example", "chat_id": "example", "first_purchase_date": "example", "source_id": "example", "deleted_at": 1, "country_name": "example", "addresses": [ { "id": "example", "country_id": "example", "city": "example", "address": "example", "postcode": "example", "note": "example" } ], "social_networks": [ { "id": "example", "name": "example", "value": "example" } ], "relatives": [ { "id": "example", "first_name": "example", "last_name": "example", "middle_name": "example", "date_of_birth": "example", "relative_type": "example", "phone_numbers": "example", "note": "example" } ], "notes": [ { "id": "example", "note_type": "example", "value": "example", "created_by": "example", "created_at": "example" } ], "tasks": [ { "id": "example", "note_type": "example", "value": "example", "done": "example" } ], "custom_fields": [ { "id": "example", "name": "example", "type": "example", "values": "example" } ], "average_purchase_amount": 1, "average_products_price": 1, "client_type": "example", "average_discount": 1, "average_products_count": 1, "top_transaction": 1, "visits_count": 1, "props_updated": true, "imported_debt_amount": 1, "imported_debt_repayment_date": "example", "sort": [ "example" ]}